<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.information.InspectionFileMapper">

    <resultMap id="BaseResultMap" type="com.tuoheng.model.entity.InspectionFile">
        <id property="id" column="id" jdbcType="OTHER"/>
        <result property="fileCode" column="file_code" jdbcType="VARCHAR"/>
        <result property="inspectionName" column="inspection_name" jdbcType="VARCHAR"/>
        <result property="fileName" column="file_name" jdbcType="VARCHAR"/>
        <result property="fileThumbnail" column="file_thumbnail" jdbcType="VARCHAR"/>
        <result property="fileOriginal" column="file_original" jdbcType="VARCHAR"/>
        <result property="fileImage" column="file_image" jdbcType="VARCHAR"/>
        <result property="latitude" column="latitude" jdbcType="VARCHAR"/>
        <result property="longitude" column="longitude" jdbcType="VARCHAR"/>
        <result property="dealStatus" column="deal_status" jdbcType="TINYINT"/>
        <result property="status" column="status" jdbcType="TINYINT"/>
        <result property="tenantUsername" column="tenant_username" jdbcType="VARCHAR"/>
        <result property="clientId" column="client_id" jdbcType="VARCHAR"/>
        <result property="industry" column="industry" jdbcType="VARCHAR"/>
        <result property="createUser" column="create_user" jdbcType="INTEGER"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="updateUser" column="update_user" jdbcType="INTEGER"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
        <result property="mark" column="mark" jdbcType="TINYINT"/>
        <result property="questionName" column="question_name" jdbcType="VARCHAR"/>
        <result property="questionId" column="question_id" jdbcType="VARCHAR"/>

    </resultMap>

    <sql id="Base_Column_List">
        id,file_code,inspection_name,
        file_name,file_thumbnail,file_original,
        file_image,latitude,longitude,
        deal_status,status,tenant_username,
        client_id,industry,create_user,
        create_time,update_user,update_time,
        mark,question_name,question_id
    </sql>
</mapper>
